Loading...
Searching...
No Matches
ARC_Text Struct Reference

`#include <text.h>`

## Data Fields

ARC_String * | name
int32_t | size
ARC_Color | color
SDL_Texture * | texture
ARC_Rect | bounds

## Detailed Description

Definition at line 10 of file text.h.

## Field Documentation

## bounds

ARC_Rect ARC_Text::bounds

Definition at line 17 of file text.h.

Referenced by ARC_Text_Render(), ARC_Text_SetPos(), and ARC_Text_SetString().

## color

ARC_Color ARC_Text::color

Definition at line 14 of file text.h.

Referenced by ARC_Text_SetString().

## name

ARC_String* ARC_Text::name

Definition at line 11 of file text.h.

Referenced by ARC_Text_Destroy(), and ARC_Text_SetString().

## size

int32_t ARC_Text::size

Definition at line 12 of file text.h.

Referenced by ARC_Text_SetString().

## texture

SDL_Texture* ARC_Text::texture

Definition at line 16 of file text.h.

Referenced by ARC_Text_Destroy(), ARC_Text_Render(), and ARC_Text_SetString().

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/packages/graphics/sdl/text.h